diff --git a/scripts/GenMsgAST.py b/scripts/GenMsgAST.py
index 20168a4..8135fb9 100755
--- a/scripts/GenMsgAST.py
+++ b/scripts/GenMsgAST.py
@@ -443,216 +552,263 @@ class MessageType(ASTElement):
     @type merge: a C{MessageType}  
     @param combine: a combined set of fields
     """
-    def __init__(self,name,fields,merge):
-        super(MessageType,self).__init__(name=name)
-        self.fields        = fields
-        self.merge         = merge
-        self.enum          = None
-        self.nbHeir        = 0
-    
+
+    def __init__(
+        self,
+        name,
+        fields,
+        merge,
+        ):
+        super(MessageType, self).__init__(name=name)
+        self.fields = fields
+        self.merge = merge
+        self.enum = None
+        self.nbHeir = 0
+
     def __repr__(self):
-        res = "message %s " % self.name
+        res = 'message %s ' % self.name
         return res
-    
+
     def hasMerge(self):
         return self.merge != None
-    
+
     def hasEnum(self):
         return self.enum != None
-    
+
     def hasHeir(self):
-    	return self.nbHeir > 0
-    
+        return self.nbHeir > 0
+
+
     class CombinedField(ASTElement):
-        def __init__(self,typeid,fields):
-            super(MessageType.CombinedField,self).__init__(name="Combined")
+
+        def __init__(self, typeid, fields):
+            super(MessageType.CombinedField,
+                  self).__init__(name='Combined')
             self.typeid = typeid
-            self.fields = fields            
-    
+            self.fields = fields
+
+
     class MessageField(ASTElement):
+
         """ Represents a message field            
         """
-        def __init__(self,qualifier,typeid,name,defaultValue=None):
-            super(MessageType.MessageField,self).__init__(name=name)
-            self.qualifier    = qualifier
-            """ The field qualifier, which may be
-                 - repeated
-                 - optional
-                 - required 
-            """
-            self.typeid       = typeid
-            """ The type of the field
-            """
+
+        def __init__(
+            self,
+            qualifier,
+            typeid,
+            name,
+            defaultValue=None,
+            ):
+            super(MessageType.MessageField, self).__init__(name=name)
+            self.qualifier = qualifier
+            self.typeid = typeid
             self.defaultValue = defaultValue
-            """ The default value for this field
-            """
-            
+
         def hasDefaultValue(self):
             return self.defaultValue != None
-                
+
+
 class EnumType(ASTElement):
+
     """ Represents an enum type 
     """
-    def __init__(self,name,values):
-        super(EnumType,self).__init__(name=name)
-        # rebuild dictionary with value from the list                     
+
+    def __init__(self, name, values):
+        super(EnumType, self).__init__(name=name)
+
+        # rebuild dictionary with value from the list
+
         self.values = []
-        lastval     = -1        
-        for val in values:                                    
-            if (val.value==None):
-                val.value = lastval+1
+        lastval = -1
+        for val in values:
+            if val.value == None:
+                val.value = lastval + 1
                 self.values.append(val)
                 lastval += 1
             else:
-                self.values.append(val)                           
+                self.values.append(val)
                 lastval = val.value
-        
+
     def __repr__(self):
-        res = "Enum %s {\n" % self.name
-        for val in self.values:            
-            res = res + "  " + str(val[0]) + " = " + str(val[1]) + ", \n"
-        res = res + "}"
-        return res                 
-               
+        res = 'Enum %s {\n' % self.name
+        for val in self.values:
+            res = res + '  ' + str(val[0]) + ' = ' + str(val[1]) \
+                + ', \n'
+        res = res + '}'
+        return res
+
+
     class EnumValue(ASTElement):
+
         """ Represents an Enum Value
         """
-        def __init__(self,name,value):
-            super(EnumType.EnumValue,self).__init__(name=name)    
+
+        def __init__(self, name, value):
+            super(EnumType.EnumValue, self).__init__(name=name)
             self.value = value
-                
+
+
 class ASTChecker(object):
+
     """
     The Purpose of this class is to check AST properties. 
         
     """
+
     def __init__(self):
-        self.logger = logging.Logger("ASTChecker")
+        self.logger = logging.Logger('ASTChecker')
         self.logger.setLevel(logging.ERROR)
-        self.logger.addHandler(stdoutHandler)      
-    
-    def checkMessageFields(self,msg,AST):  
+        self.logger.addHandler(stdoutHandler)
+
+    def checkMessageFields(self, msg, AST):
         for f in msg.fields:
             if not AST.isDefined(f.typeid):
-                self.logger.fatal("The type <%s> used for field <%s.%s> is unknown (not a builtin, nor native, nor message)" % (f.typeid,msg.name,f.name))
-                self.logger.fatal(" --> Check lines (%d,%d)" % (f.linespan) + " of <%s>" % AST.name)                
+                self.logger.fatal('The type <%s> used for field <%s.%s> is unknown (not a builtin, nor native, nor message)'
+                                   % (f.typeid, msg.name, f.name))
+                self.logger.fatal(' --> Check lines (%d,%d)'
+                                  % f.linespan + ' of <%s>' % AST.name)
                 return False
             else:
-                if (isinstance(f,MessageType.MessageField)):                   
+                if isinstance(f, MessageType.MessageField):
                     f.typeid = AST.getType(f.typeid)
-                elif (isinstance(f,MessageType.CombinedField)):
-                    if (not self.checkMessageFields(f,AST)):
-			return False
+                elif isinstance(f, MessageType.CombinedField):
+                    if not self.checkMessageFields(f, AST):
+                        return False
                 else:
-                    self.logger.fatal("Unknown MessageField type %s" % f.str())
-		    return False
+                    self.logger.fatal('Unknown MessageField type %s'
+                            % f.str())
+                    return False
         return True
-   
-                
-    def check(self,AST):
+
+    def check(self, AST):
         """
         Check the AST.
         
         @param AST: the AST to be checked
         @type AST: C{MessageAST}  
         """
-        
+
         # Consider the AST not checked.
+
         AST.checked = False
-        
+
         # check if the supplied object has appropriate super type
         # @todo: note that we may just require to have the appropriate
         #        fields and not being sub-class of MesssageAST.
         #        this could be done with introspection.
         #        see: http://docs.python.org/library/inspect.html
+
         if not isinstance(AST, MessageAST):
-           self.logger.error("The supplied object is not an instance of MessageAST: <%s>" % type(AST))        
-           return
-       
+            self.logger.error('The supplied object is not an instance of MessageAST: <%s>'
+                               % type(AST))
+            return
+
         # check if all field used in message have known types
         # At the same time build the enum values for MessageTypes
-        enumval = EnumType.EnumValue("NOT_USED",None)
+
+        enumval = EnumType.EnumValue('NOT_USED', None)
         enumval.type = None
         msgTypeEnumVals = [enumval]
         lastMerge = None
         for msg in AST.messages:
+
             # We do not generate the enum factory entry for a message
             # with no merge there is no possible factory for that
             # kind of message.
             # However some message types may merge from one another
-            # as soon as there is a "common" root merge type 
+            # as soon as there is a "common" root merge type
+
             if msg.hasMerge():
-               parent = AST.getType(msg.merge)
-               parent.nbHeir += 1         
-               if (None!=lastMerge):
-               	   # recurse to find root merge
-               	   rootMerge = AST.getRootMergeType(msg.merge)             	                  	   
-                   if (lastMerge!=rootMerge):
-				   	  blah = AST.getRootMergeType(msg.merge,1)
-				   	  self.logger.error("Error: there is more than one merged type (%s != %s (root of %s)). You should use one merged type only" % (lastMerge,rootMerge,msg.merge))
-				   	  self.logger.fatal(" --> Check lines (%d,%d)" % (msg.linespan) + " of <%s>" % AST.name )
-				   	  return           
-               else:
-                   lastMerge = AST.getRootMergeType(msg.merge)
-                               
-               enumval      = EnumType.EnumValue(msg.name.upper(),None)            
-               enumval.type = msg.name
-               msgTypeEnumVals.append(enumval)		
-            if not self.checkMessageFields(msg,AST):
-            	return 
-	
-	
-	
-        enumval      = EnumType.EnumValue("LAST",None)
-        enumval.type = None                                    
+                parent = AST.getType(msg.merge)
+                parent.nbHeir += 1
+                if None != lastMerge:
+
+                      # recurse to find root merge
+
+                    rootMerge = AST.getRootMergeType(msg.merge)
+                    if lastMerge != rootMerge:
+                        blah = AST.getRootMergeType(msg.merge, 1)
+                        self.logger.error('Error: there is more than one merged type (%s != %s (root of %s)). You should use one merged type only'
+                                 % (lastMerge, rootMerge, msg.merge))
+                        self.logger.fatal(' --> Check lines (%d,%d)'
+                                % msg.linespan + ' of <%s>' % AST.name)
+                        return
+                else:
+                    lastMerge = AST.getRootMergeType(msg.merge)
+
+                enumval = EnumType.EnumValue(msg.name.upper(), None)
+                enumval.type = msg.name
+                msgTypeEnumVals.append(enumval)
+            if not self.checkMessageFields(msg, AST):
+                return
+
+        enumval = EnumType.EnumValue('LAST', None)
+        enumval.type = None
         msgTypeEnumVals.append(enumval)
-        AST.eMessageType = EnumType("MessageType",msgTypeEnumVals)
-	if lastMerge != None:
-            mergeClass=AST.getType(lastMerge)
-	    if isinstance(mergeClass,MessageType):
+        AST.eMessageType = EnumType('MessageType', msgTypeEnumVals)
+        if lastMerge != None:
+            mergeClass = AST.getType(lastMerge)
+            if isinstance(mergeClass, MessageType):
                 mergeClass.enum = AST.eMessageType
-	
-        
-         
 
         # @todo
         # Should check if the default value of a field
         # has the appropriate type (builtin types)
         # and that field with defined type have NO
         # default value
-                                
+
         # check if merger are either native or message
         # @todo should check that merger is not an enum
+
         for msg in AST.messages:
             if msg.hasMerge():
                 if not AST.isDefined(msg.merge):
-                    self.logger.fatal("The merge target <%s> of message <%s> is unknown (not a builtin, nor native, nor message)" % (msg.merge,msg.name))
-                    self.logger.fatal(" --> Check lines (%d,%d)" % (msg.linespan) + " of <%s>" % AST.name )                           
+                    self.logger.fatal('The merge target <%s> of message <%s> is unknown (not a builtin, nor native, nor message)'
+                             % (msg.merge, msg.name))
+                    self.logger.fatal(' --> Check lines (%d,%d)'
+                            % msg.linespan + ' of <%s>' % AST.name)
                     return
                 else:
                     msg.merge = AST.getType(msg.merge)
-                    
+
         # check the factory methods
-        if AST.factory.hasFactoryCreator():                        
+
+        if AST.factory.hasFactoryCreator():
             if not AST.isDefined(AST.factory.creator[0]):
-                self.logger.fatal("The return type <%s> of the creator factory method is unknown (not a builtin, nor native, nor message)" % AST.factory.creator[0])
-                self.logger.fatal(" --> Check lines (%d,%d)" % (AST.factory.linespan) + " of <%s>" % AST.name )                
+                self.logger.fatal('The return type <%s> of the creator factory method is unknown (not a builtin, nor native, nor message)'
+                                   % AST.factory.creator[0])
+                self.logger.fatal(' --> Check lines (%d,%d)'
+                                  % AST.factory.linespan + ' of <%s>'
+                                  % AST.name)
                 return
             if not AST.isDefined(AST.factory.creator[2]):
-                self.logger.fatal("The parameter type <%s> of the creator factory method is unknown (not a builtin, nor native, nor message)" % AST.factory.creator[2])
-                self.logger.fatal(" --> Check lines (%d,%d)" % (AST.factory.linespan) + " of <%s>" % AST.name )    
-		
-		return
-	    
-	if AST.factory.hasFactoryReceiver():
+                self.logger.fatal('The parameter type <%s> of the creator factory method is unknown (not a builtin, nor native, nor message)'
+                                   % AST.factory.creator[2])
+                self.logger.fatal(' --> Check lines (%d,%d)'
+                                  % AST.factory.linespan + ' of <%s>'
+                                  % AST.name)
+
+                return
+
+        if AST.factory.hasFactoryReceiver():
             if not AST.isDefined(AST.factory.receiver[0]):
-                self.logger.fatal("The return type <%s> of the receiver factory method is unknown (not a builtin, nor native, nor message)" % AST.factory.receiver[0])
-                self.logger.fatal(" --> Check lines (%d,%d)" % (AST.factory.linespan) + " of <%s>" % AST.name )                
+                self.logger.fatal('The return type <%s> of the receiver factory method is unknown (not a builtin, nor native, nor message)'
+                                   % AST.factory.receiver[0])
+                self.logger.fatal(' --> Check lines (%d,%d)'
+                                  % AST.factory.linespan + ' of <%s>'
+                                  % AST.name)
                 return
             if not AST.isDefined(AST.factory.receiver[2]):
-                self.logger.fatal("The parameter type <%s> of the receiver factory method is unknown (not a builtin, nor native, nor message)" % AST.factory.receiver[2])
-                self.logger.fatal(" --> Check lines (%d,%d)" % (AST.factory.linespan) + " of <%s>" % AST.name )                
+                self.logger.fatal('The parameter type <%s> of the receiver factory method is unknown (not a builtin, nor native, nor message)'
+                                   % AST.factory.receiver[2])
+                self.logger.fatal(' --> Check lines (%d,%d)'
+                                  % AST.factory.linespan + ' of <%s>'
+                                  % AST.name)
                 return
+
         # Now the AST has been checked successfully
-        AST.checked = True                  
-                                                                                 
+
+        AST.checked = True
+
+
diff --git a/scripts/GenMsgBase.py b/scripts/GenMsgBase.py
index 9731b84..cb4f8ad 100644
--- a/scripts/GenMsgBase.py
+++ b/scripts/GenMsgBase.py
@@ -1,3 +1,5 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 ## ----------------------------------------------------------------------------
 ## CERTI - HLA RunTime Infrastructure
 ## Copyright (C) 2002-2005  ONERA
@@ -20,87 +22,94 @@
 ## $Id: GenMsgBase.py,v 1.5 2010/05/16 08:40:18 erk Exp $
 ## ----------------------------------------------------------------------------
 
+# We use logging for ... logging :-)
+# see http://docs.python.org/library/logging.html
+
 """
 The CERTI Message Generator.
 Generator Base class
 """
 
-# We use logging for ... logging :-)
-# see http://docs.python.org/library/logging.html
 import logging
-import sys 
+import sys
 import datetime
 import GenMsgAST
-    
+
+
 class CodeGenerator(object):
+
     """
     This is a base class generator for C{MessageAST}.
     
     This is not a working generator it should be subclassed. 
     """
-    
+
     def generatorName(cls):
-        raise  Exception("This class method should be overloaded by daughter class <"+cls.__name__+">")    
+        raise Exception('This class method should be overloaded by daughter class <'
+                         + cls.__name__ + '>')
+
     generatorName = classmethod(generatorName)
-    
-    def __init__(self,MessageAST,commentLineBeginWith):
+
+    def __init__(self, MessageAST, commentLineBeginWith):
         self.AST = MessageAST
         self.commentLineBeginWith = commentLineBeginWith
-        self.logger = logging.Logger(self.generatorName()+"Generator")
+        self.logger = logging.Logger(self.generatorName() + 'Generator')
         self.logger.setLevel(logging.ERROR)
         self.logger.addHandler(logging.StreamHandler(sys.stdout))
-        self.__indentString = "   "
-        self.__indentLevel  = 0
-        self.builtinTypeMap = {'onoff'    : 'onoff',
-                               'bool'     : 'bool',
-                               'string'   : 'string',
-                               'byte'     : 'byte',
-                               'int8'     : 'int8',
-                               'uint8'    : 'uint8',
-                               'int16'    : 'int16',
-                               'uint16'   : 'uint16',
-                               'int32'    : 'int32',
-                               'uint32'   : 'uint32',   
-                               'int64'    : 'int64',
-                               'uint64'   : 'uint64',
-                               'float'    : 'float',
-                               'double'   : 'double',}
-
-    def setIndentString(self,indentString):
+        self.__indentString = '   '
+        self.__indentLevel = 0
+        self.builtinTypeMap = {
+            'onoff': 'onoff',
+            'bool': 'bool',
+            'string': 'string',
+            'byte': 'byte',
+            'int8': 'int8',
+            'uint8': 'uint8',
+            'int16': 'int16',
+            'uint16': 'uint16',
+            'int32': 'int32',
+            'uint32': 'uint32',
+            'int64': 'int64',
+            'uint64': 'uint64',
+            'float': 'float',
+            'double': 'double',
+            }
+
+    def setIndentString(self, indentString):
         self.__indentString = indentString
-        
+
     def indent(self):
-        self.__indentLevel += 1            
-        
+        self.__indentLevel += 1
+
     def unIndent(self):
-        if self.__indentLevel>0:
+        if self.__indentLevel > 0:
             self.__indentLevel -= 1
         else:
-            self.logger.error("Trying to unIndent lower than 0!??!")
-            
+            self.logger.error('Trying to unIndent lower than 0!??!')
+
     def getIndent(self):
-        res=""
+        res = ''
         i = self.__indentLevel
-        while i>0:
-             res = res + self.__indentString
-             i -= 1
+        while i > 0:
+            res = res + self.__indentString
+            i -= 1
         return res
-    
-    def getTargetTypeName(self,name):
+
+    def getTargetTypeName(self, name):
         if name in self.builtinTypeMap.keys():
             return self.builtinTypeMap[name]
         else:
             return name
-    
-    def lowerFirst(self,str):
-        res = str[0].lower()+str[1:]
+
+    def lowerFirst(self, str):
+        res = str[0].lower() + str[1:]
         return res
-        
-    def upperFirst(self,str):
-        res = str[0].upper()+str[1:]
-        return res        
-        
-    def writeComment(self,stream,ASTElement):
+
+    def upperFirst(self, str):
+        res = str[0].upper() + str[1:]
+        return res
+
+    def writeComment(self, stream, ASTElement):
         """
         Write a comment block to the stream.
         
@@ -108,137 +117,189 @@ class CodeGenerator(object):
         language has whole line comment support
         with some beginning characters.
         """
+
         if ASTElement.hasComment():
             for line in ASTElement.comment.lines:
+
                 # we should not indent optional comment
                 # since they come at the end of a line
-                if not ASTElement.comment.isAtEOL:                
-                    stream.write(self.getIndent())                
+
+                if not ASTElement.comment.isAtEOL:
+                    stream.write(self.getIndent())
                 stream.write(self.commentLineBeginWith)
                 stream.write(str(line))
-                stream.write("\n")
-        else:            
-            stream.write("\n")        
-    
-    def generateHeader(self,stream,factoryOnly=False):
+                stream.write('\n')
+        else:
+            stream.write('\n')
+
+    def generateHeader(self, stream, factoryOnly=False):
         """
         Generate the header.
         """
-        self.logger.error("generateHeader not IMPLEMENTED")
-    
-    def generateBody(self,stream,factoryOnly=False):
+
+        self.logger.error('generateHeader not IMPLEMENTED')
+
+    def generateBody(self, stream, factoryOnly=False):
         """
         Generate the body.
         """
-        self.logger.error("generateBody not IMPLEMENTED")            
-    
-    def generate(self,stream,what,factoryOnly=False):        
+
+        self.logger.error('generateBody not IMPLEMENTED')
+
+    def generate(
+        self,
+        stream,
+        what,
+        factoryOnly=False,
+        ):
         stream.write(self.commentLineBeginWith)
-        stream.write(" Generated on %s by the CERTI message generator\n"%datetime.datetime.now().strftime("%Y %B %a, %d at %H:%M:%S"))
-        if what.lower() == "header":
-            self.generateHeader(stream,factoryOnly)
-        elif what.lower() == "body":
-            self.generateBody(stream,factoryOnly)
+        stream.write(' Generated on %s by the CERTI message generator\n'
+
+                     % datetime.datetime.now().strftime('%Y %B %a, %d at %H:%M:%S'
+                     ))
+        if what.lower() == 'header':
+            self.generateHeader(stream, factoryOnly)
+        elif what.lower() == 'body':
+            self.generateBody(stream, factoryOnly)
         else:
-            self.logger.error("What <%s> unknown type??"%what)
-    
+            self.logger.error('What <%s> unknown type??' % what)
+
+
 class MsgSpecGenerator(CodeGenerator):
+
     """
     This is a text generator for C{MessageAST}.
     
     This generator should produce almost the same output
     as the input message specification file. 
     """
-    
+
     def generatorName(cls):
-        return "MsgSpec"    
+        return 'MsgSpec'
+
     generatorName = classmethod(generatorName)
-    
-    def __init__(self,MessageAST):
-        super(MsgSpecGenerator,self).__init__(MessageAST,"//")
-        self.logger = logging.Logger("MsgSpecGenerator")
+
+    def __init__(self, MessageAST):
+        super(MsgSpecGenerator, self).__init__(MessageAST, '//')
+        self.logger = logging.Logger('MsgSpecGenerator')
         self.logger.setLevel(logging.ERROR)
         self.logger.addHandler(logging.StreamHandler(sys.stdout))
-        self.__languageName = "MsgSpec"
-                        
-    def generate(self,stream,what,factoryOnly=False):
+        self.__languageName = 'MsgSpec'
+
+    def generate(
+        self,
+        stream,
+        what,
+        factoryOnly=False,
+        ):
         """
         Redefine super.generate.
         
         what is not important in this case.
         """
-        # Generate package 
+
+        # Generate package
+
         if self.AST.hasPackage():
             self.writeComment(stream, self.AST.package)
-            stream.write("package %s\n" % self.AST.package.name)
-	# Generate version
-	if self.AST.hasVersion():
-	    self.writeComment(stream, self.AST.version)
-	    stream.write("version %d.%d\n" % self.AST.version.number)
+            stream.write('package %s\n' % self.AST.package.name)
+
+    # Generate version
+
+        if self.AST.hasVersion():
+            self.writeComment(stream, self.AST.version)
+            stream.write('version %d.%d\n' % self.AST.version.number)
 
         if not factoryOnly:
+
             # Generate native type
-            for native in self.AST.natives:            
+
+            for native in self.AST.natives:
                 self.writeComment(stream, native)
-                stream.write("native %s {\n" % native.name)
+                stream.write('native %s {\n' % native.name)
                 self.indent()
-                if (native.hasRepresentation()):
-                    stream.write(self.getIndent()+ "representation " + native.getRepresentation()+"\n")
-                for (k,v) in native.languages.items():
+                if native.hasRepresentation():
+                    stream.write(self.getIndent() + 'representation '
+                                 + native.getRepresentation() + '\n')
+                for (k, v) in native.languages.items():
                     for l in v:
-                        stream.write(self.getIndent()+"language " +  k + "     ["+l.statement+"]\n")
+                        stream.write(self.getIndent() + 'language ' + k
+                                + '     [' + l.statement + ']\n')
                 self.unIndent()
-                stream.write("}\n")
-                                
+                stream.write('}\n')
+
             # Generate enum
+
             for enum in self.AST.enums:
                 self.writeComment(stream, enum)
-                stream.write("enum %s {\n" % enum.name)
+                stream.write('enum %s {\n' % enum.name)
                 first = True
                 self.indent()
-                for enumval in enum.values:                
+                for enumval in enum.values:
                     if first:
-                        stream.write(self.getIndent()+"%s = %d, " % (enumval.name,enumval.value))                
-                        first=False
+                        stream.write(self.getIndent() + '%s = %d, '
+                                % (enumval.name, enumval.value))
+                        first = False
                     else:
-                        stream.write(self.getIndent()+"%s, " % enumval.name)
+                        stream.write(self.getIndent() + '%s, '
+                                % enumval.name)
                     self.writeComment(stream, enumval)
-                self.unIndent()                    
-                stream.write("}\n\n")                                
-                 
+                self.unIndent()
+                stream.write('''}
+
+''')
+
             # Generate message type
+
             for msg in self.AST.messages:
                 self.writeComment(stream, msg)
-                stream.write("message %s"%msg.name)
+                stream.write('message %s' % msg.name)
                 if msg.hasMerge():
-                    stream.write(" : merge %s {\n" % msg.merge.name)
+                    stream.write(' : merge %s {\n' % msg.merge.name)
                 else:
-                    stream.write(" {\n")
-                
+                    stream.write(' {\n')
+
                 for field in msg.fields:
-                    if (isinstance(field, GenMsgAST.MessageType.CombinedField)):
-                        stream.write("        combined %s {" % (field.typeid))
+                    if isinstance(field,
+                                  GenMsgAST.MessageType.CombinedField):
+                        stream.write('        combined %s {'
+                                % field.typeid)
                         self.writeComment(stream, field)
                         for cfield in field.fields:
-                            stream.write("            %s %s %s " % (cfield.qualifier,cfield.typeid.name,cfield.name))
+                            stream.write('            %s %s %s '
+                                    % (cfield.qualifier,
+                                    cfield.typeid.name, cfield.name))
                             if cfield.hasDefaultValue():
-                                stream.write("[default=%s] " % cfield.defaultValue)                                    
+                                stream.write('[default=%s] '
+                                        % cfield.defaultValue)
                             self.writeComment(stream, cfield)
-                        stream.write("        }\n")    
+                        stream.write('        }\n')
                     else:
-                        stream.write("        %s %s %s " % (field.qualifier,field.typeid.name,field.name))
+                        stream.write('        %s %s %s '
+                                % (field.qualifier, field.typeid.name,
+                                field.name))
                         if field.hasDefaultValue():
-                            stream.write("[default=%s] " % field.defaultValue)                                    
-                        self.writeComment(stream, field)                    
-                stream.write("}\n\n")
-            
+                            stream.write('[default=%s] '
+                                    % field.defaultValue)
+                        self.writeComment(stream, field)
+                stream.write('''}
+
+''')
+
         # Generate Factory
+
         if self.AST.hasFactory():
             self.writeComment(stream, self.AST.factory)
-            stream.write("factory %s {\n" % self.AST.factory.name)
+            stream.write('factory %s {\n' % self.AST.factory.name)
             self.indent()
-            stream.write(self.getIndent()+"factoryCreator %s %s(%s)\n"% self.AST.factory.creator)
-            stream.write(self.getIndent()+"factoryReceiver %s %s(%s)\n"% self.AST.factory.receiver)
+            stream.write(self.getIndent() + 'factoryCreator %s %s(%s)\n'
+                          % self.AST.factory.creator)
+            stream.write(self.getIndent()
+                         + 'factoryReceiver %s %s(%s)\n'
+                         % self.AST.factory.receiver)
             self.unIndent()
-            stream.write("}\n\n")
-                                                                                 
+            stream.write('''}
+
+''')
+
+
